summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Pocock2014-02-04 20:27:37 (GMT)
committerDaniel Pocock2014-02-04 20:27:37 (GMT)
commitf5e7b0ad5a8c42abe7f46b7a250f2b629437c477 (patch)
treef03ca9c82412af3f42b921d69565c9ecb3a4d829
parentcf4a1453da217e0902e694bd133f8bb80e33145c (diff)
Add ArbiterJS to dependencies2.0.1
-rw-r--r--drucall.info1
-rw-r--r--drucall.module4
2 files changed, 3 insertions, 2 deletions
diff --git a/drucall.info b/drucall.info
index 8ccc2c8..5163c44 100644
--- a/drucall.info
+++ b/drucall.info
@@ -4,5 +4,6 @@ package = DruCall
core = 7.x
dependencies[] = jssip
dependencies[] = jscommunicator
+dependencies[] = arbiterjs
configure = admin/config/drucall/settings
diff --git a/drucall.module b/drucall.module
index 92af4ad..13a0679 100644
--- a/drucall.module
+++ b/drucall.module
@@ -47,9 +47,9 @@ function drucall_theme() {
function drucall_call() {
- // We use the `libraries' module to load jssip and jscommunicator javascript:
+ // We use the `libraries' module to load javascript dependencies:
- foreach ([ "jssip", "jscommunicator" ] as $libname) {
+ foreach ([ "jssip", "jscommunicator", "arbiterjs" ] as $libname) {
if (!($library = libraries_detect($libname))) {
$error = "failed to load an essential component";
$error_msg = "failed to load $libname - please install it (check the DruCall instructions)";